Apache Tomcat 6.0.51

## org.apache.catalina.startup
Class SetAllPropertiesRule

    java.lang.Object
      org.apache.tomcat.util.digester.Rule
          org.apache.catalina.startup.SetAllPropertiesRule

    public class SetAllPropertiesRule

extends Rule

Rule that uses the introspection utils to set properties.

Author:
  Remy Maucherat, Filip Hanik

Field Summary
`protected java.util.HashMap<java.lang.String,java.lang.String>` | `excludes`

Fields inherited from class org.apache.tomcat.util.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SetAllPropertiesRule()`
`SetAllPropertiesRule(java.lang.String[] exclude)`

Method Summary
`void` | `begin(java.lang.String namespace, java.lang.String nameX, org.xml.sax.Attributes attributes)` Handle the beginning of an XML element.

Methods inherited from class org.apache.tomcat.util.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### excludes

    protected java.util.HashMap<java.lang.String,java.lang.String> excludes

Constructor Detail

### SetAllPropertiesRule

    public SetAllPropertiesRule()

### SetAllPropertiesRule

    public SetAllPropertiesRule(java.lang.String[] exclude)

Method Detail

### begin

    public void begin(java.lang.String namespace,
                      java.lang.String nameX,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Handle the beginning of an XML element.

  Overrides:
    `begin` in class `Rule`
  Parameters:
    `attributes` - The attributes of this element
    `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
    `nameX` - the local name if the parser is namespace aware, or just the element name otherwise
  Throws:
    `java.lang.Exception` - if a processing error occurs

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.